/* Form definition file generated with fdesign. */

#include "forms.h"
#include "iforms.h"

FL_FORM *main_form;

FL_OBJECT
        *title_obj;

void create_form_0()
{
  FL_OBJECT *obj;
  main_form = fl_bgn_form(FL_NO_BOX,650.0,340.0);
  obj = fl_add_box(FL_BORDER_BOX,0.0,0.0,650.0,340.0,"");
    fl_set_object_color(obj,12,47);
  title_obj = obj = fl_add_box(FL_SHADOW_BOX,10.0,290.0,350.0,40.0,"Image Processing Tool");
    fl_set_object_color(obj,9,47);
    fl_set_object_lsize(obj,FL_LARGE_FONT);
  obj = fl_add_text(FL_NORMAL_TEXT,370.0,320.0,130.0,10.0,"Written by Mark Overmars");
    fl_set_object_lsize(obj,FL_SMALL_FONT);
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
  obj = fl_add_box(FL_SHADOW_BOX,10.0,10.0,130.0,250.0,"Control");
    fl_set_object_color(obj,55,47);
    fl_set_object_align(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_box(FL_SHADOW_BOX,150.0,10.0,490.0,250.0,"Actions");
    fl_set_object_color(obj,55,47);
    fl_set_object_align(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_button(FL_NORMAL_BUTTON,520.0,280.0,110.0,30.0,"Quit");
    fl_set_call_back(obj,quit_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,520.0,20.0,110.0,30.0,"Snapshot");
    fl_set_call_back(obj,snap_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,520.0,220.0,110.0,30.0,"Gamma");
    fl_set_call_back(obj,gamma_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,520.0,180.0,110.0,30.0,"Blur");
    fl_set_call_back(obj,blur_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,160.0,220.0,110.0,30.0,"Zoom");
    fl_set_call_back(obj,zoom_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20.0,220.0,110.0,30.0,"Load");
    fl_set_call_back(obj,load_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20.0,20.0,110.0,30.0,"Print");
    fl_set_call_back(obj,print_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20.0,120.0,110.0,30.0,"Undo");
    fl_set_call_back(obj,last_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20.0,180.0,110.0,30.0,"Save");
    fl_set_call_back(obj,save_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,160.0,60.0,110.0,30.0,"Add Frame");
    fl_set_call_back(obj,addframe_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,160.0,20.0,110.0,30.0,"Postcard");
    fl_set_call_back(obj,postcard_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,400.0,60.0,110.0,30.0,"Absolute");
    fl_set_call_back(obj,abs_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,280.0,20.0,110.0,30.0,"Histogram Eq.");
    fl_set_call_back(obj,hist_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,520.0,120.0,110.0,30.0,"Invert");
    fl_set_call_back(obj,invert_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,400.0,20.0,110.0,30.0,"No Black");
    fl_set_call_back(obj,noblack_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,400.0,180.0,110.0,30.0,"Saturate");
    fl_set_call_back(obj,saturate_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,280.0,60.0,110.0,30.0,"Quantify");
    fl_set_call_back(obj,quantify_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,280.0,120.0,110.0,30.0,"Expand");
    fl_set_call_back(obj,expand_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,160.0,120.0,110.0,30.0,"Flip");
    fl_set_call_back(obj,flip_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,160.0,180.0,110.0,30.0,"Zoom To");
    fl_set_call_back(obj,zoomto_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,400.0,220.0,110.0,30.0,"Grey Scale");
    fl_set_call_back(obj,blackwhite_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,280.0,220.0,110.0,30.0,"Dither");
    fl_set_call_back(obj,dither_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,280.0,180.0,110.0,30.0,"Halftone");
    fl_set_call_back(obj,halftone_cb,0);
  obj = fl_add_button(FL_NORMAL_BUTTON,20.0,60.0,110.0,30.0,"Copy");
    fl_set_call_back(obj,copy_cb,0);
  fl_end_form();
}

/*---------------------------------------*/

FL_FORM *value_form;

FL_OBJECT
        *value_ready,
        *value_name,
        *value_lleft,
        *value_left,
        *value_right,
        *value_rright,
        *value_value;

void create_form_1()
{
  FL_OBJECT *obj;
  value_form = fl_bgn_form(FL_NO_BOX,310.0,170.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,310.0,170.0,"");
    fl_set_object_color(obj,12,47);
  value_ready = obj = fl_add_button(FL_RETURN_BUTTON,100.0,20.0,110.0,30.0,"Ready");
    fl_set_object_color(obj,9,13);
  value_name = obj = fl_add_box(FL_SHADOW_BOX,30.0,130.0,250.0,20.0,"Name");
    fl_set_object_color(obj,9,47);
  value_lleft = obj = fl_add_button(FL_TOUCH_BUTTON,20.0,70.0,40.0,30.0,"@<<");
    fl_set_object_color(obj,9,9);
    fl_set_object_lcol(obj,4);
  value_left = obj = fl_add_button(FL_TOUCH_BUTTON,60.0,70.0,40.0,30.0,"@<");
    fl_set_object_color(obj,9,9);
    fl_set_object_lcol(obj,4);
  value_right = obj = fl_add_button(FL_TOUCH_BUTTON,210.0,70.0,40.0,30.0,"@>");
    fl_set_object_color(obj,9,9);
    fl_set_object_lcol(obj,4);
  value_rright = obj = fl_add_button(FL_TOUCH_BUTTON,250.0,70.0,40.0,30.0,"@>>");
    fl_set_object_color(obj,9,9);
    fl_set_object_lcol(obj,4);
  value_value = obj = fl_add_box(FL_DOWN_BOX,100.0,70.0,110.0,30.0,"0.0");
    fl_set_object_color(obj,9,47);
  fl_end_form();
}

/*---------------------------------------*/

FL_FORM *flip_form;

FL_OBJECT
        *flip_x,
        *flip_y,
        *flip_xy,
        *flip_yx,
        *flip_90,
        *flip_180,
        *flip_270;

void create_form_2()
{
  FL_OBJECT *obj;
  flip_form = fl_bgn_form(FL_NO_BOX,350.0,180.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,350.0,180.0,"");
    fl_set_object_color(obj,12,47);
  obj = fl_add_text(FL_NORMAL_TEXT,20.0,100.0,310.0,60.0,"Flip");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,9,47);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  flip_x = obj = fl_add_button(FL_NORMAL_BUTTON,90.0,110.0,40.0,40.0,"@8<->");
    fl_set_object_lcol(obj,4);
  flip_y = obj = fl_add_button(FL_NORMAL_BUTTON,150.0,110.0,40.0,40.0,"@6<->");
    fl_set_object_lcol(obj,4);
  flip_xy = obj = fl_add_button(FL_NORMAL_BUTTON,210.0,110.0,40.0,40.0,"@7<->");
    fl_set_object_lcol(obj,4);
  flip_yx = obj = fl_add_button(FL_NORMAL_BUTTON,270.0,110.0,40.0,40.0,"@9<->");
    fl_set_object_lcol(obj,4);
  obj = fl_add_text(FL_NORMAL_TEXT,20.0,20.0,310.0,60.0,"Rotate");
    fl_set_object_boxtype(obj,FL_SHADOW_BOX);
    fl_set_object_color(obj,9,47);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  flip_90 = obj = fl_add_button(FL_NORMAL_BUTTON,120.0,30.0,40.0,40.0,"90");
    fl_set_object_lcol(obj,4);
  flip_180 = obj = fl_add_button(FL_NORMAL_BUTTON,180.0,30.0,40.0,40.0,"180");
    fl_set_object_lcol(obj,4);
  flip_270 = obj = fl_add_button(FL_NORMAL_BUTTON,240.0,30.0,40.0,40.0,"270");
    fl_set_object_lcol(obj,4);
  fl_end_form();
}

/*---------------------------------------*/

FL_FORM *print_form;

FL_OBJECT
        *print_print;

void create_form_3()
{
  FL_OBJECT *obj;
  print_form = fl_bgn_form(FL_NO_BOX,530.0,130.0);
  obj = fl_add_box(FL_UP_BOX,0.0,0.0,530.0,130.0,"");
    fl_set_object_color(obj,12,47);
  print_print = obj = fl_add_input(FL_NORMAL_INPUT,20.0,20.0,490.0,30.0,"");
  obj = fl_add_text(FL_NORMAL_TEXT,130.0,90.0,250.0,20.0,"Indicate the print command to use.");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,110.0,70.0,300.0,20.0,"The symbol # stands for the file to print.");
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fl_end_form();
}

/*---------------------------------------*/

void create_the_forms()
{
  create_form_0();
  create_form_1();
  create_form_2();
  create_form_3();
}

